KDE 4.2 PyKDE API Reference

- KDE's Python API

# DeleteJob Class Reference

`from PyKDE4.kio import *`

Inherits: KIO.Job → KCompositeJob → KJob → QObject
Namespace: KIO

## Detailed Description

A more complex Job to delete files and directories. Don't create the job directly, but use KIO.del() instead.

See also:
  KIO.del()

## Signals

| deleting (KIO.Job job, KUrl file)
| processedDirs (KIO.Job job, long dirs)
| processedFiles (KIO.Job job, long files)
| totalDirs (KJob job, long dirs)
| totalFiles (KJob job, long files)

## Methods

| __init__ (self, DeleteJobPrivate dd)
| __init__ (self)
| deleting (self, KIO.Job job, KUrl file)
| processedDirs (self, KIO.Job job, long dirs)
| processedFiles (self, KIO.Job job, long files)
| slotResult (self, KJob job)
| totalDirs (self, KJob job, long dirs)
| totalFiles (self, KJob job, long files)
KUrl.List | urls (self)

## Method Documentation

__init__ | ( | self, |
|  | DeleteJobPrivate | dd
| ) |  |  |

__init__ | ( |  | self ) |

deleting | ( | self, |
|  | KIO.Job | job,
|  | KUrl | file
| ) |  |  |

Sends the URL of the file that is currently being deleted.

Parameters:

  | job | the job that emitted this signal
  | file | the URL of the file or directory that is being deleted

Signal syntax:
  `QObject.connect(source, SIGNAL("deleting(Job*, const KUrl&)"), target_slot)`

processedDirs | ( | self, |
|  | KIO.Job | job,
|  | long | dirs
| ) |  |  |

Sends the number of processed directories.

Parameters:

  | job | the job that emitted this signal
  | dirs | the number of processed dirs

Signal syntax:
  `QObject.connect(source, SIGNAL("processedDirs(Job*, unsigned long)"), target_slot)`

processedFiles | ( | self, |
|  | KIO.Job | job,
|  | long | files
| ) |  |  |

Sends the number of processed files.

Parameters:

  | job | the job that emitted this signal
  | files | the number of processed files

Signal syntax:
  `QObject.connect(source, SIGNAL("processedFiles(Job*, unsigned long)"), target_slot)`

slotResult | ( | self, |
|  | KJob | job
| ) |  |  |

totalDirs | ( | self, |
|  | KJob | job,
|  | long | dirs
| ) |  |  |

Emitted when the toal number of direcotries is known.

Parameters:

  | job | the job that emitted this signal
  | dirs | the total number of directories

Signal syntax:
  `QObject.connect(source, SIGNAL("totalDirs(KJob*, unsigned long)"), target_slot)`

totalFiles | ( | self, |
|  | KJob | job,
|  | long | files
| ) |  |  |

Emitted when the total number of files is known.

Parameters:

  | job | the job that emitted this signal
  | files | the total number of files

Signal syntax:
  `QObject.connect(source, SIGNAL("totalFiles(KJob*, unsigned long)"), target_slot)`

KUrl.List urls | ( |  | self ) |

Returns the list of URLs.

Returns:
  the list of URLs.